package com.dgtis.dorm.manager.db.service;

import com.github.pagehelper.PageHelper;
import com.dgtis.dorm.manager.db.dao.NewsZanMapper;
import com.dgtis.dorm.manager.db.domain.NewsZan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class NewsZanService {

    @Resource
    private NewsZanMapper newsZanMapper;

    /**
     *  获取点赞列表
     */
    public List<NewsZan> querySelective(NewsZan newsZan, int page, int limit, String sort) {

        List<NewsZan> lstNewsZan = null;
        PageHelper.startPage(page, limit);
        lstNewsZan = newsZanMapper.selectByExample(newsZan);

        return lstNewsZan;
    }

    /**
     * 录入点赞信息
     */
    public void add(NewsZan newsZan) {
        newsZanMapper.insertSelective(newsZan);
    }

    /**
     * 删除点赞信息
     * @param id
     */
    public void delete(Integer id) {
        newsZanMapper.deleteByPrimaryKey(id);
    }

    /**
     * 删除点赞信息
     * @param newsZan
     */
    public void deleteByExample(NewsZan newsZan) {
        newsZanMapper.deleteByExample(newsZan);
    }
}
